---
title: llarp::platform::quarks
summary: every platform is a special snowflake. 

---

# llarp::platform::quarks

every platform is a special snowflake.  [More...](#detailed-description)

## Attributes

|                | Name           |
| -------------- | -------------- |
| constexpr bool | **[duplicate_gateways_routes_fail](Namespaces/namespacellarp_1_1platform_1_1quarks.md#variable-duplicate-gateways-routes-fail)** <br>this is set to true on all platforms were we cannot enable a route when we have duplicate gateways  |
| constexpr bool | **[disable_ipv6](Namespaces/namespacellarp_1_1platform_1_1quarks.md#variable-disable-ipv6)** <br>set to true on platforms we cannot do os level ipv6 with tunneling.  |

## Detailed Description

every platform is a special snowflake. 

we document every single workaround for their excentricities here. 



## Attributes Documentation

### variable duplicate_gateways_routes_fail

```cpp
constexpr bool duplicate_gateways_routes_fail = llarp::platform::is_windows;
```

this is set to true on all platforms were we cannot enable a route when we have duplicate gateways 

### variable disable_ipv6

```cpp
constexpr bool disable_ipv6 = is_windows or is_android;
```

set to true on platforms we cannot do os level ipv6 with tunneling. 




-------------------------------

Updated on 2023-05-23 at 16:33:42 +0000